Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002089 [Piwigo] photos feature N/A 2010.12.30 15:31 2011.01.05 19:00
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC1 Product Version 2.1.5
  Target Version 2.2.0RC1 Product Build
Summary 0002089: Bulk Manager with filter/selection/action
Description Replace the current Bulk Manager (Caddie/Recent Picture/All photos of a category) with the new Bulk Manager proposed as a plugin.

New name : Batch Manager.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0001155closedplg filter on photo bulk management 

-  Notes
(0004600)
svn (reporter)
2010.12.30 15:36

[Subversion] r8394 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: implement the "Bulk Manager" plugin as the new "Batch Manager".
The new "Batch Manager" offers as many features as the old "Bulk Manager" and
more to come.

The old Batch Manager (Caddie/Recent Pictures) is not removed yet and changes
that occured since last summer are not reported yet in the Batch Manager:
category/album, photo order for a given album, deletion of synchronized photos.
(0004602)
svn (reporter)
2010.12.30 16:54

[Subversion] r8398 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: report feature:1845 in the new Batch Manager.

+ once the photos are deleted, redirect the page to reset the current photo set
and avoid being on an empty 2nd page.
(0004605)
svn (reporter)
2010.12.30 17:15

[Subversion] r8399 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: remove some useless commented code, only "not_linked" and
"duplicates" presets are not available in the new Batch Manager.
(0004608)
svn (reporter)
2010.12.31 12:58

[Subversion] r8403 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: add the "not_linked" feature as "with no virtual album" in the
new Batch Manager.
(0004609)
svn (reporter)
2010.12.31 13:34

[Subversion] r8404 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: add the "duplicates" feature to the new Batch Manager and
simplify the algorithm. The duplicates do not rely on physical albums, just
on duplicate filenames.
(0004612)
svn (reporter)
2010.12.31 16:06

[Subversion] r8413 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: Batch Manager, switch from global to unit mode with tabs
(0004613)
svn (reporter)
2010.12.31 16:07

[Subversion] r8414 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: file forgotten in r8413
(0004614)
svn (reporter)
2010.12.31 16:19

[Subversion] r8417 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2089: finish removing element_set, now it's time for batch_manager
(0004624)
svn (reporter)
2011.01.05 19:00

[Subversion] r8478 by Gotcha on extension ContactForm

-----[Subversion commit log]----------------------------------------------------
Compatibility with "Stripped" theme
bug:2089

- Issue History
Date Modified Username Field Change
2010.12.30 15:31 plg New Issue
2010.12.30 15:31 plg Status new => assigned
2010.12.30 15:31 plg Assigned To => plg
2010.12.30 15:31 plg browser => any
2010.12.30 15:31 plg Web server => Apache 1.3.x
2010.12.30 15:31 plg Relationship added related to 0001155
2010.12.30 15:36 svn Checkin
2010.12.30 15:36 svn Note Added: 0004600
2010.12.30 16:54 svn Checkin
2010.12.30 16:54 svn Note Added: 0004602
2010.12.30 17:15 svn Checkin
2010.12.30 17:15 svn Note Added: 0004605
2010.12.31 12:58 svn Checkin
2010.12.31 12:58 svn Note Added: 0004608
2010.12.31 13:34 svn Checkin
2010.12.31 13:34 svn Note Added: 0004609
2010.12.31 16:06 svn Checkin
2010.12.31 16:06 svn Note Added: 0004612
2010.12.31 16:07 svn Checkin
2010.12.31 16:07 svn Note Added: 0004613
2010.12.31 16:19 svn Checkin
2010.12.31 16:19 svn Note Added: 0004614
2010.12.31 17:41 plg Status assigned => closed
2010.12.31 17:41 plg Resolution open => fixed
2010.12.31 17:41 plg Fixed in Version => 2.2
2011.01.05 19:00 svn Checkin
2011.01.05 19:00 svn Note Added: 0004624


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker